Bug 171617 - [MAINTAINER] misc/xdg-menu: Added Master Site, Pixmaps, PLIST_FILES
Summary: [MAINTAINER] misc/xdg-menu: Added Master Site, Pixmaps, PLIST_FILES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-13 20:20 UTC by nemysis
Modified: 2013-03-18 02:40 UTC (History)
1 user (show)

See Also:


Attachments
xdg-menu-1.5_2.patch (3.77 KB, patch)
2012-09-13 20:20 UTC, nemysis
no flags Details | Diff
xdg-menu.diff (4.30 KB, patch)
2012-10-08 00:38 UTC, nemysis
no flags Details | Diff
xdg-menu.diff (5.38 KB, patch)
2012-12-21 20:48 UTC, nemysis
no flags Details | Diff
xdg-menu.diff (5.65 KB, patch)
2013-02-15 11:13 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-13 20:20:01 UTC
Makefile changed:

- Added Master Site for Pixmaps
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION} \
+		SF/nemysisfreebsdp/:icons

- Changed Comment
+COMMENT=	ROX panel applet that displays an applications menu button

- Ajusted Run Depends
RUN_DEPENDS

- Added
PLIST_FILES

- Added
+PORTDATA=	*
+PORTDOCS=	*

- Added
Pixmaps
Documentation

Removed file(s):
- pkg-plist

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
WARN: Makefile: [66]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.

WARN: Makefile: [66] because is used

Options.xml Messages python *.py *.pyc *.pyo ${DATADIR})


Build log RedPorts

https://redports.org/buildarchive/20120913160046-90668/
Comment 1 Steve Wills freebsd_committer 2012-09-22 03:27:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 nemysis 2012-12-21 20:48:12 UTC
Added pkg-plist because is better to use it.

portlint -A
looks usual.

port test: clean
Comment 3 nemysis 2013-02-15 11:13:52 UTC
Changed:
USE_GNOME=      desktopfileutils
INSTALLS_ICONS= yes
DESKTOP_ENTRIES=
        @-update-desktop-database

pkg-plist:
@exec %%LOCALBASE%%/bin/update-desktop-database -q || /usr/bin/true
@unexec %%LOCALBASE%%/bin/update-desktop-database -q || /usr/bin/true
Comment 4 Beech Rintoul freebsd_committer 2013-03-18 00:07:21 UTC
Responsible Changed
From-To: swills->beech

Pass to me
Comment 5 dfilter service freebsd_committer 2013-03-18 02:32:00 UTC
Author: beech
Date: Mon Mar 18 02:31:52 2013
New Revision: 314520
URL: http://svnweb.freebsd.org/changeset/ports/314520

Log:
  - Adjust RUN_DEPENDS
  - Add icons
  - Add desktop
  - Add build
  - Bump portrevision
  
  PR:		ports/171617
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Modified:
  head/misc/xdg-menu/Makefile
  head/misc/xdg-menu/distinfo   (contents, props changed)
  head/misc/xdg-menu/files/xdg-menu.in
  head/misc/xdg-menu/pkg-plist   (contents, props changed)

Modified: head/misc/xdg-menu/Makefile
==============================================================================
--- head/misc/xdg-menu/Makefile	Mon Mar 18 02:27:12 2013	(r314519)
+++ head/misc/xdg-menu/Makefile	Mon Mar 18 02:31:52 2013	(r314520)
@@ -1,34 +1,36 @@
-# New Ports collection makefile for:	XDG-Menu
-# Date created:		2012-05-07
-# Whom:			nemysis@gmx.ch
-#
+# Created by: nemysis <nemysis@gmx.ch>
 # $FreeBSD$
-#
 
 PORTNAME=	xdg-menu
 PORTVERSION=	1.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	misc
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
-DISTNAME=	XDG-Menu-${DISTVERSION}
-EXTRACT_SUFX=	.tgz
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION} \
+		SF/nemysisfreebsdp/:icons
+DISTFILES=	XDG-Menu-${DISTVERSION}.tgz \
+		${PORTNAME}.png:icons
+DIST_SUBDIR=	python
+EXTRACT_ONLY=	XDG-Menu-${DISTVERSION}.tgz
 
 MAINTAINER=	nemysis@gmx.ch
-COMMENT=	A ROX panel applet that displays an applications menu button
+COMMENT=	ROX panel applet that displays an applications menu button
 
 LICENSE=	GPLv2
 
 RUN_DEPENDS=	${LOCALBASE}/bin/rox:${PORTSDIR}/x11-fm/rox-filer \
-		${PYTHON_SITELIBDIR}/xdg/__init__.py:${PORTSDIR}/devel/py-xdg \
-		${PYTHON_SITELIBDIR}/dbus/__init__.py:${PORTSDIR}/devel/py-dbus
+		${PYTHON_PKGNAMEPREFIX}xdg>=0:${PORTSDIR}/devel/py-xdg \
+		${PYTHON_PKGNAMEPREFIX}dbus>=0:${PORTSDIR}/devel/py-dbus
 
 WRKSRC=		${WRKDIR}/XDG-Menu
 DATADIR=	${PREFIX}/apps/XDG-Menu
 
-FETCH_ARGS?=	-Fpr
 USE_PYTHON=	yes
-ALL_TARGET=
-NO_BUILD=	yes
+INSTALLS_ICONS=	yes
+
+PORTDOCS=	*
+
+DESKTOP_ENTRIES="XDG-Menu" "${COMMENT}" ${PORTNAME} \
+		"${PORTNAME}" "Application;System;" false
 
 OPTIONS_DEFINE=	ROX
 ROX_DESC=	Enable ROX panel applet support
@@ -37,8 +39,10 @@ SUB_FILES=	${PORTNAME}
 
 .include <bsd.port.options.mk>
 
-.if !${PORT_OPTIONS:MROX}
 post-patch:
+	@${REINPLACE_CMD} -i '' 's|/usr/lib|../../lib|' ${WRKSRC}/findrox.py
+
+.if ! ${PORT_OPTIONS:MROX}
 	@${REINPLACE_CMD} -i '' '/if not rox.confirm/,/sys.exit/s/^/#/' ${WRKSRC}/AppRun
 	@${ECHO_MSG}
 	@${ECHO_MSG} "You have not enabled ROX panel applet support"
@@ -46,12 +50,25 @@ post-patch:
 	@${FIND} ${WRKSRC} -name "*.bak" -delete
 .endif
 
+do-build:
+	@${PYTHON_CMD} -m compileall ${WRKSRC}
+	@${PYTHON_CMD} -O -m compileall ${WRKSRC}
+
 do-install:
-# Scripts
-	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${PREFIX}/bin/
 
-# Executable and Data
 	${MKDIR} ${DATADIR}
-	@cd ${WRKSRC} && ${FIND} . | ${CPIO} -pdmu ${DATADIR}
+	@(cd ${WRKSRC} && ${CP} -r Messages .DirIcon AppInfo.xml AppRun AppletRun \
+		Options.xml Messages python *.py *.pyc *.pyo ${DATADIR})
+
+	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png ${PREFIX}/share/pixmaps/
+
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/Help/|} ${DOCSDIR}
+.endif
+
+post-install:
+	@-update-desktop-database
 
 .include <bsd.port.mk>

Modified: head/misc/xdg-menu/distinfo
==============================================================================
--- head/misc/xdg-menu/distinfo	Mon Mar 18 02:27:12 2013	(r314519)
+++ head/misc/xdg-menu/distinfo	Mon Mar 18 02:31:52 2013	(r314520)
@@ -1,2 +1,4 @@
-SHA256 (XDG-Menu-1.5.tgz) = 5cd62f3421032c4b619b80fde7e7cdc3230409489762e5c05ffd82d7c9c28478
-SIZE (XDG-Menu-1.5.tgz) = 32377
+SHA256 (python/XDG-Menu-1.5.tgz) = 5cd62f3421032c4b619b80fde7e7cdc3230409489762e5c05ffd82d7c9c28478
+SIZE (python/XDG-Menu-1.5.tgz) = 32377
+SHA256 (python/xdg-menu.png) = f6f3be4272ca446c3bdf7895556c879ab7a4eceaf2a985dabaf1ad2126a3a2e4
+SIZE (python/xdg-menu.png) = 5974

Modified: head/misc/xdg-menu/files/xdg-menu.in
==============================================================================
--- head/misc/xdg-menu/files/xdg-menu.in	Mon Mar 18 02:27:12 2013	(r314519)
+++ head/misc/xdg-menu/files/xdg-menu.in	Mon Mar 18 02:31:52 2013	(r314520)
@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # $FreeBSD$
+#
 
-echo "XDG-Menu: Starting up..."
 cd "%%DATADIR%%"
-./AppRun
+exec ./AppRun

Modified: head/misc/xdg-menu/pkg-plist
==============================================================================
--- head/misc/xdg-menu/pkg-plist	Mon Mar 18 02:27:12 2013	(r314519)
+++ head/misc/xdg-menu/pkg-plist	Mon Mar 18 02:31:52 2013	(r314520)
@@ -2,34 +2,49 @@ apps/XDG-Menu/.DirIcon
 apps/XDG-Menu/AppInfo.xml
 apps/XDG-Menu/AppRun
 apps/XDG-Menu/AppletRun
-apps/XDG-Menu/Help/COPYING
-apps/XDG-Menu/Help/ChangeLog
-apps/XDG-Menu/Help/README
-apps/XDG-Menu/Help/README.ru
-apps/XDG-Menu/Help/TODO
-apps/XDG-Menu/Makefile
 apps/XDG-Menu/Messages/XDG-Menu.pot
 apps/XDG-Menu/Messages/it.gmo
 apps/XDG-Menu/Messages/it.po
 apps/XDG-Menu/Messages/opts2po.py
+apps/XDG-Menu/Messages/opts2po.pyc
+apps/XDG-Menu/Messages/opts2po.pyo
 apps/XDG-Menu/Messages/ru.gmo
 apps/XDG-Menu/Messages/ru.po
 apps/XDG-Menu/Messages/uk.gmo
 apps/XDG-Menu/Messages/uk.po
 apps/XDG-Menu/Options.xml
 apps/XDG-Menu/findrox.py
+apps/XDG-Menu/findrox.pyc
+apps/XDG-Menu/findrox.pyo
 apps/XDG-Menu/python/config.py
+apps/XDG-Menu/python/config.pyc
+apps/XDG-Menu/python/config.pyo
 apps/XDG-Menu/python/ctxmenu.py
+apps/XDG-Menu/python/ctxmenu.pyc
+apps/XDG-Menu/python/ctxmenu.pyo
 apps/XDG-Menu/python/dndsource.py
+apps/XDG-Menu/python/dndsource.pyc
+apps/XDG-Menu/python/dndsource.pyo
 apps/XDG-Menu/python/i18n.py
+apps/XDG-Menu/python/i18n.pyc
+apps/XDG-Menu/python/i18n.pyo
 apps/XDG-Menu/python/imagemenu.py
+apps/XDG-Menu/python/imagemenu.pyc
+apps/XDG-Menu/python/imagemenu.pyo
 apps/XDG-Menu/python/main.py
+apps/XDG-Menu/python/main.pyc
+apps/XDG-Menu/python/main.pyo
 apps/XDG-Menu/python/roxmenu.py
+apps/XDG-Menu/python/roxmenu.pyc
+apps/XDG-Menu/python/roxmenu.pyo
 apps/XDG-Menu/python/xdgmenu.py
+apps/XDG-Menu/python/xdgmenu.pyc
+apps/XDG-Menu/python/xdgmenu.pyo
 bin/xdg-menu
-@dirrmtry share/applications
+share/pixmaps/xdg-menu.png
 @dirrm apps/XDG-Menu/python
 @dirrm apps/XDG-Menu/Messages
-@dirrm apps/XDG-Menu/Help
 @dirrm apps/XDG-Menu
 @dirrmtry apps
+@exec %%LOCALBASE%%/bin/update-desktop-database -q || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-desktop-database -q || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Beech Rintoul freebsd_committer 2013-03-18 02:32:17 UTC
State Changed
From-To: open->closed

Committed, Thanks!